package com.huimv.env.manage.saas.mqtt.uplod;

import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.huimv.env.manage.service.IEnvDeviceRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;

@Component
public class UploadMqttStart {

    @Autowired
    private IEnvDeviceRegisterService deviceRegisterService;

    @PostConstruct
    public  void  test() {
        List<EnvDeviceRegister> list = deviceRegisterService.list();
        System.out.println("设备的数量："+list.size());

        List<String> chipIds = new ArrayList<>();
        for (EnvDeviceRegister deviceRegister : list) {
            String chipId = deviceRegister.getChipId();
            chipIds.add(chipId);
        }
        UploadMqtt uploadmqtt = new UploadMqtt();
        uploadmqtt.setTopics(chipIds);
        uploadmqtt.start();
    }

}
